### Method

# Gio DBusObject get_interfaces

since: 2.30

#### Declaration

    GList*
    g_dbus_object_get_interfaces (
      GDBusObject* object
    )

#### Description

Gets the D-Bus interfaces associated with `object`.

Available since: 2.30

#### Return value

Type: A list of `GDBusInterface*`

A list of `GDBusInterface` instances. The returned list must be freed by `g_list_free()` after each element has been freed with g_object_unref().

The caller of the method takes ownership of the data, and is responsible for freeing it.